> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a PIN

> Returns the PIN for a given card.



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards/{cardId}/pin
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/pin:
    get:
      tags:
        - PIN
      summary: Retrieve a PIN
      description: Returns the PIN for a given card.
      operationId: getPin
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
          required: true
        - name: cardholderVerificationMethod
          in: query
          schema:
            description: >-
              The supplemental method used to verify the cardholder’s identity
              before revealing the card’s PIN.
            type:
              - string
            enum:
              - BIOMETRIC_FACE
              - BIOMETRIC_FINGERPRINT
              - LOGIN
              - OTP
            example: BIOMETRIC_FACE
          required: true
        - name: sessionId
          in: query
          schema:
            description: The MFA session id.
            type:
              - string
            example: c92e2960-b745-4b38-8e77-898b2f9ad9bb
        - name: token
          in: query
          schema:
            description: The security token e.g. MFA code.
            type:
              - string
            example: '123456'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  pin:
                    type:
                      - string
                      - 'null'
                    minLength: 4
                    maxLength: 4
                    pattern: ^\d+$
                    description: the PIN of the card.
                    example: '1111'
                required:
                  - pin
                example:
                  pin: '1111'
      security:
        - CommonAuth:
            - pin:read:own
            - pin:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/pin?accountId={{accountId}}&personId={{personId}}&cardholderVerificationMethod={{cardholderVerificationMethod}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````